# azure.mgmt.trafficmanager.models module

class `azure.mgmt.trafficmanager.models.``DeleteOperationResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  The result of the request or operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | operation_result (bool) – The result of the operation or request.

class `azure.mgmt.trafficmanager.models.``EndpointPropertiesSubnetsItem`(*, first: str = None, last: str = None, scope: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Subnet first address, scope, and/or last address.

  Parameters:

  - first (str) – First address in the subnet.
  - last (str) – Last address in the subnet.
  - scope (int) – Block size (number of leading bits in the subnet mask).

class `azure.mgmt.trafficmanager.models.``EndpointPropertiesCustomHeadersItem`(*, name: str = None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Custom header name and value.

  Parameters:

  - name (str) – Header name.
  - value (str) – Header value.

class `azure.mgmt.trafficmanager.models.``HeatMapEndpoint`(*, resource_id: str = None, endpoint_id: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class which is a sparse representation of a Traffic Manager endpoint.

  Parameters:

  - resource_id (str) – The ARM Resource ID of this Traffic Manager endpoint.
  - endpoint_id (int) – A number uniquely identifying this endpoint in query experiences.

class `azure.mgmt.trafficmanager.models.``QueryExperience`(*, endpoint_id: int, query_count: int, latency: float = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class representing a Traffic Manager HeatMap query experience properties.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_id (int) – Required. The id of the endpoint from the ‘endpoints’ array which these queries were routed to.
  - query_count (int) – Required. The number of queries originating from this location.
  - latency (float) – The latency experienced by queries originating from this location.

class `azure.mgmt.trafficmanager.models.``TrafficFlow`(*, source_ip: str = None, latitude: float = None, longitude: float = None, query_experiences=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class representing a Traffic Manager HeatMap traffic flow properties.

  Parameters:

  - source_ip (str) – The IP address that this query experience originated from.
  - latitude (float) – The approximate latitude that these queries originated from.
  - longitude (float) – The approximate longitude that these queries originated from.
  - query_experiences (list[QueryExperience]) – The query experiences produced in this HeatMap calculation.

class `azure.mgmt.trafficmanager.models.``HeatMapModel`(*, id: str = None, name: str = None, type: str = None, start_time=None, end_time=None, endpoints=None, traffic_flows=None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.proxy_resource_py3.ProxyResource`

  Class representing a Traffic Manager HeatMap.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
  - start_time (datetime) – The beginning of the time window for this HeatMap, inclusive.
  - end_time (datetime) – The ending of the time window for this HeatMap, exclusive.
  - endpoints (list[HeatMapEndpoint]) – The endpoints used in this HeatMap calculation.
  - traffic_flows (list[TrafficFlow]) – The traffic flows produced in this HeatMap calculation.

class `azure.mgmt.trafficmanager.models.``UserMetricsModel`(*, id: str = None, name: str = None, type: str = None, key: str = None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.proxy_resource_py3.ProxyResource`

  Class representing Traffic Manager User Metrics.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
  - key (str) – The key returned by the User Metrics operation.

class `azure.mgmt.trafficmanager.models.``Endpoint`(*, id: str = None, name: str = None, type: str = None, target_resource_id: str = None, target: str = None, endpoint_status=None, weight: int = None, priority: int = None, endpoint_location: str = None, endpoint_monitor_status=None, min_child_endpoints: int = None, geo_mapping=None, subnets=None, custom_headers=None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.proxy_resource_py3.ProxyResource`

  Class representing a Traffic Manager endpoint.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
  - target_resource_id (str) – The Azure Resource URI of the of the endpoint. Not applicable to endpoints of type ‘ExternalEndpoints’.
  - target (str) – The fully-qualified DNS name or IP address of the endpoint. Traffic Manager returns this value in DNS responses to direct traffic to this endpoint.
  - endpoint_status (str or EndpointStatus) – The status of the endpoint. If the endpoint is Enabled, it is probed for endpoint health and is included in the traffic routing method. Possible values include: ‘Enabled’, ‘Disabled’
  - weight (long) – The weight of this endpoint when using the ‘Weighted’ traffic routing method. Possible values are from 1 to 1000.
  - priority (long) – The priority of this endpoint when using the ‘Priority’ traffic routing method. Possible values are from 1 to 1000, lower values represent higher priority. This is an optional parameter. If specified, it must be specified on all endpoints, and no two endpoints can share the same priority value.
  - endpoint_location (str) – Specifies the location of the external or nested endpoints when using the ‘Performance’ traffic routing method.
  - endpoint_monitor_status (str or EndpointMonitorStatus) – The monitoring status of the endpoint. Possible values include: ‘CheckingEndpoint’, ‘Online’, ‘Degraded’, ‘Disabled’, ‘Inactive’, ‘Stopped’
  - min_child_endpoints (long) – The minimum number of endpoints that must be available in the child profile in order for the parent profile to be considered available. Only applicable to endpoint of type ‘NestedEndpoints’.
  - geo_mapping (list[str]) – The list of countries/regions mapped to this endpoint when using the ‘Geographic’ traffic routing method. Please consult Traffic Manager Geographic documentation for a full list of accepted values.
  - subnets (list[EndpointPropertiesSubnetsItem]) – The list of subnets, IP addresses, and/or address ranges mapped to this endpoint when using the ‘Subnet’ traffic routing method. An empty list will match all ranges not covered by other endpoints.
  - custom_headers (list[EndpointPropertiesCustomHeadersItem]) – List of custom headers.

class `azure.mgmt.trafficmanager.models.``CheckTrafficManagerRelativeDnsNameAvailabilityParameters`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters supplied to check Traffic Manager name operation.

  Parameters:

  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

class `azure.mgmt.trafficmanager.models.``DnsConfig`(*, relative_name: str = None, ttl: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class containing DNS settings in a Traffic Manager profile.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - relative_name (str) – The relative DNS name provided by this Traffic Manager profile. This value is combined with the DNS domain name used by Azure Traffic Manager to form the fully-qualified domain name (FQDN) of the profile.
  - ttl (long) – The DNS Time-To-Live (TTL), in seconds. This informs the local DNS resolvers and DNS clients how long to cache DNS responses provided by this Traffic Manager profile.

  Variables: | fqdn (str) – The fully-qualified domain name (FQDN) of the Traffic Manager profile. This is formed from the concatenation of the RelativeName with the DNS domain used by Azure Traffic Manager.

class `azure.mgmt.trafficmanager.models.``MonitorConfigCustomHeadersItem`(*, name: str = None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Custom header name and value.

  Parameters:

  - name (str) – Header name.
  - value (str) – Header value.

class `azure.mgmt.trafficmanager.models.``MonitorConfigExpectedStatusCodeRangesItem`(*, min: int = None, max: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Min and max value of a status code range.

  Parameters:

  - min (int) – Min status code.
  - max (int) – Max status code.

class `azure.mgmt.trafficmanager.models.``MonitorConfig`(*, profile_monitor_status=None, protocol=None, port: int = None, path: str = None, interval_in_seconds: int = None, timeout_in_seconds: int = None, tolerated_number_of_failures: int = None, custom_headers=None, expected_status_code_ranges=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class containing endpoint monitoring settings in a Traffic Manager profile.

  Parameters:

  - profile_monitor_status (str or ProfileMonitorStatus) – The profile-level monitoring status of the Traffic Manager profile. Possible values include: ‘CheckingEndpoints’, ‘Online’, ‘Degraded’, ‘Disabled’, ‘Inactive’
  - protocol (str or MonitorProtocol) – The protocol (HTTP, HTTPS or TCP) used to probe for endpoint health. Possible values include: ‘HTTP’, ‘HTTPS’, ‘TCP’
  - port (long) – The TCP port used to probe for endpoint health.
  - path (str) – The path relative to the endpoint domain name used to probe for endpoint health.
  - interval_in_seconds (long) – The monitor interval for endpoints in this profile. This is the interval at which Traffic Manager will check the health of each endpoint in this profile.
  - timeout_in_seconds (long) – The monitor timeout for endpoints in this profile. This is the time that Traffic Manager allows endpoints in this profile to response to the health check.
  - tolerated_number_of_failures (long) – The number of consecutive failed health check that Traffic Manager tolerates before declaring an endpoint in this profile Degraded after the next failed health check.
  - custom_headers (list[MonitorConfigCustomHeadersItem]) – List of custom headers.
  - expected_status_code_ranges (list[MonitorConfigExpectedStatusCodeRangesItem]) – List of expected status code ranges.

class `azure.mgmt.trafficmanager.models.``Profile`(*, id: str = None, name: str = None, type: str = None, tags=None, location: str = None, profile_status=None, traffic_routing_method=None, dns_config=None, monitor_config=None, endpoints=None, traffic_view_enrollment_status=None, max_return: int = None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.tracked_resource_py3.TrackedResource`

  Class representing a Traffic Manager profile.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives
  - profile_status (str or ProfileStatus) – The status of the Traffic Manager profile. Possible values include: ‘Enabled’, ‘Disabled’
  - traffic_routing_method (str or TrafficRoutingMethod) – The traffic routing method of the Traffic Manager profile. Possible values include: ‘Performance’, ‘Priority’, ‘Weighted’, ‘Geographic’, ‘MultiValue’, ‘Subnet’
  - dns_config (DnsConfig) – The DNS settings of the Traffic Manager profile.
  - monitor_config (MonitorConfig) – The endpoint monitoring settings of the Traffic Manager profile.
  - endpoints (list[Endpoint]) – The list of endpoints in the Traffic Manager profile.
  - traffic_view_enrollment_status (str or TrafficViewEnrollmentStatus) – Indicates whether Traffic View is ‘Enabled’ or ‘Disabled’ for the Traffic Manager profile. Null, indicates ‘Disabled’. Enabling this feature will increase the cost of the Traffic Manage profile. Possible values include: ‘Enabled’, ‘Disabled’
  - max_return (long) – Maximum number of endpoints to be returned for MultiValue routing type.

class `azure.mgmt.trafficmanager.models.``TrafficManagerNameAvailability`(*, name: str = None, type: str = None, name_available: bool = None, reason: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class representing a Traffic Manager Name Availability response.

  Parameters:

  - name (str) – The relative name.
  - type (str) – Traffic Manager profile resource type.
  - name_available (bool) – Describes whether the relative name is available or not.
  - reason (str) – The reason why the name is not available, when applicable.
  - message (str) – Descriptive message that explains why the name is not available, when applicable.

class `azure.mgmt.trafficmanager.models.``Region`(*, code: str = None, name: str = None, regions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class representing a region in the Geographic hierarchy used with the Geographic traffic routing method.

  Parameters:

  - code (str) – The code of the region
  - name (str) – The name of the region
  - regions (list[Region]) – The list of Regions grouped under this Region in the Geographic Hierarchy.

class `azure.mgmt.trafficmanager.models.``TrafficManagerGeographicHierarchy`(*, id: str = None, name: str = None, type: str = None, geographic_hierarchy=None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.proxy_resource_py3.ProxyResource`

  Class representing the Geographic hierarchy used with the Geographic traffic routing method.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
  - geographic_hierarchy (Region) – The region at the root of the hierarchy from all the regions in the hierarchy can be retrieved.

class `azure.mgmt.trafficmanager.models.``Resource`(*, id: str = None, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The core properties of ARM resources.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.

class `azure.mgmt.trafficmanager.models.``TrackedResource`(*, id: str = None, name: str = None, type: str = None, tags=None, location: str = None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.resource_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
  - tags (dict[str, str]) – Resource tags.
  - location (str) – The Azure Region where the resource lives

class `azure.mgmt.trafficmanager.models.``ProxyResource`(*, id: str = None, name: str = None, type: str = None, **kwargs)

  Bases: `azure.mgmt.trafficmanager.models.resource_py3.Resource`

  The resource model definition for a ARM proxy resource. It will have everything other than required location and tags.

  Parameters:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.

class `azure.mgmt.trafficmanager.models.``ProfilePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Profile` object

class `azure.mgmt.trafficmanager.models.``EndpointStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.trafficmanager.models.``EndpointMonitorStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `checking_endpoint` = 'CheckingEndpoint'
  `degraded` = 'Degraded'
  `disabled` = 'Disabled'
  `inactive` = 'Inactive'
  `online` = 'Online'
  `stopped` = 'Stopped'

class `azure.mgmt.trafficmanager.models.``ProfileMonitorStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `checking_endpoints` = 'CheckingEndpoints'
  `degraded` = 'Degraded'
  `disabled` = 'Disabled'
  `inactive` = 'Inactive'
  `online` = 'Online'

class `azure.mgmt.trafficmanager.models.``MonitorProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `http` = 'HTTP'
  `https` = 'HTTPS'
  `tcp` = 'TCP'

class `azure.mgmt.trafficmanager.models.``ProfileStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.trafficmanager.models.``TrafficRoutingMethod`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `geographic` = 'Geographic'
  `multi_value` = 'MultiValue'
  `performance` = 'Performance'
  `priority` = 'Priority'
  `subnet` = 'Subnet'
  `weighted` = 'Weighted'

class `azure.mgmt.trafficmanager.models.``TrafficViewEnrollmentStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'